% Development steps:
% (1) Development steps
%   a) Comment out standalone and uncomment article
%   b) Optionally uncomment \includegraphics
%   c) Adjust fontsize and kerning
%   d) Adjust tabular's additional interline space
%   e) Uncomment pagegrid
%   f) Optionally adjust borderwidth and comment out dropshadow
%   g) Adjust tcolorbox's left, right, top, and bottom
%   h) Adjust rule height and the left and right start and widths
% (2) Undo development steps
%   a) Comment out article and uncomment standalone
%   b) Comment out \includegraphics line
%   c) Comment out pagegrid lines
% \documentclass{article}  % for development
\documentclass[crop=true,
               border={-35pt 0pt 0pt 0pt},  % left, right, bottom, top 
               convert={density=600,size=2560x1440,outext=.png}]{standalone}
\usepackage{fontspec}
% \setmainfont{Marcellus-Regular.ttf}[
%     Path = marcellus/ ]
% \setsansfont{Asul-Bold.ttf}[
%     Path = asul/ ]
\setmainfont{LibreBaskerville-Regular.ttf}[
    Path = libre-baskerville/ ]
\setsansfont{Rosario-Regular.ttf}[
    Path = rosario/static/ ]

\usepackage{graphicx} %  For development, and for \resizebox

\usepackage{metalogo}
\setlogokern{Te}{-0.1em}  % Knuth: -0.1667em
\setlogokern{eX}{-0.08em} % Knuth: -0.125em
\setlogodrop[TeX]{0.45ex} % Knuth: 0.5ex

% Arthur O's logo is 1.111 in wide, 1.278 in tall
%                  resolution is 72 dpi
% \newcommand{\logowidthnumber}{1.111}
% \newcommand{\logoheightnumber}{1.278}
\newcommand{\logowidthnumber}{4.267}  % 2560/600
\newcommand{\logoheightnumber}{2.400} % 1440/600  

\newlength{\logowidth}\setlength{\logowidth}{\logowidthnumber in}
\newlength{\logoheight}\setlength{\logoheight}{\logoheightnumber in}

\usepackage[dvipsnames]{xcolor}
\definecolor{framecolor}{gray}{1.00}
% \definecolor{framecolor}{gray}{0.50}
\definecolor{backgroundcolor}{HTML}{FFFFFF}
\definecolor{tugcolor}{HTML}{020183}

% Useful for lining things up by eye
% Comment this out when development is done.
% \usepackage{pagegrid}
%   \pagegridsetup{br,foreground=true}

\usepackage{pict2e}

\usepackage{tcolorbox}
  \tcbuselibrary{skins}

% I was unable to tweak to get it to auto-crop 
% \usepackage[top=1in,bottom=1in,left=0.63in, paperwidth=1.25in]{geometry}
% Doesn't seem to matter: 
% \setlength{\parindent}{0em}
% \setlength{\parskip}{0ex}
\begin{document}

% width of tcolorbox border
\newlength{\boxborderwidth}
  \setlength{\boxborderwidth}{.5mm}  % tcolorbox's default

% accent line 
\newcommand{\ruleheight}{-0.40} % dist from fig center to rule, in inches
\newlength{\rulethickness}
  \setlength{\rulethickness}{3pt}
\newlength{\rulelength} % length inside the tcolorbox
  \setlength{\rulelength}{\logowidth}
  \addtolength{\rulelength}{-2\boxborderwidth}
% How long are the left and right bars? 
\newlength{\ruleleftwidth}
  \setlength{\ruleleftwidth}{0.12\rulelength}
\newlength{\rulerightwidth}
  \setlength{\rulerightwidth}{0.12\rulelength}

% Make the box surrounding the logo
\begin{tcolorbox}[width=\logowidth,height=\logoheight,
  arc=0pt, sharp corners,
  % enhanced, drop fuzzy shadow southwest=tugcolor, % comment to omit drop shadow
  % show bounding box, % for development; comment out for production
  colframe=framecolor, colback=backgroundcolor,  % Warning! some viewers show the frame even when it is white
  halign=center,valign=center, 
  boxsep=0 pt, % Common padding  between text content and box frame 
  left=0 pt, right=0 pt,
  top=0pt, bottom=0pt]
\resizebox{!}{0.7116pt}{%
  \setlength{\unitlength}{1in}%
  \begin{picture}(0,0)%
  \put(0.0,\ruleheight){\color{tugcolor} \rule{\ruleleftwidth}{\rulethickness}}
  \put(1.20,\ruleheight){\color{tugcolor} \rule{\rulerightwidth}{\rulethickness}}
  \end{picture}%
  % Logo text is a tabular
  % {\color{tugcolor}%
  %   \begin{tabular}[c]{@{}c@{}}
  %     {\sffamily \fontsize{43}{52}\selectfont\TeX}  \\[0.15in]
  %     \fontsize{20}{20}\selectfont USERS \\
  %     \fontsize{20}{20}\selectfont GROUP
  %   \end{tabular}}%
  {\color{tugcolor}%
    \begin{tabular}[c]{@{}c@{\hspace*{12pt}}c@{}}
      {\sffamily \fontsize{80}{96}\selectfont\TeX}  % \\[0.15in]
        &\raisebox{0.35in}{\begin{tabular}{@{}c@{}}
           \fontsize{32}{38}\selectfont USERS \\[0.25ex]
           \fontsize{32}{38}\selectfont GROUP
        \end{tabular}}
    \end{tabular}}%
} % end resizebox
\end{tcolorbox}
% \includegraphics{../tuglogo.png}
\end{document}

